# Jaxer.Log.FileAppender : Object
Return to: Jaxer Framework index

File-based Log Appender.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Log.FileAppender Constructor(String name, Jaxer.Log.Level level, String logPath) : Jaxer.Log.FileAppender Create an instance of the FileAppender, a file-based Appender (Advanced) | Show Details | 1.0 | no

### Jaxer.Log.FileAppender(String name, Jaxer.Log.Level level, String logPath) : Jaxer.Log.FileAppender

Create an instance of the FileAppender, a file-based Appender
(Advanced)

Parameters

String | name | The appender name
Jaxer.Log.Level | level | The logging level to start using with this appender
String | logPath | The path to the logfile

Returns

Jaxer.Log.FileAppender | Returns an instance of FileAppender.

Visibility
  advanced

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
append(String moduleName, Jaxer.Log.Level level, String message, [Object exception]) : void Appends the provided message to the referenced appenders log (Advanced) | Show Details | 1.0 | no

Parameters

String | moduleName | The name of the module to use
Jaxer.Log.Level | level | The level to use for this message
String | message | The message to log
Object | exception | (optional)An optional exception object to use

setPath(String newPath) : void Set the path for the filesystem logging target (Advanced) | Show Details | 1.0 | no

Parameters

String | newPath | The new path to use for this appender.

aptana_docs